TreeTableModelAdapter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class TreeTableModelAdapter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.openswing.swing.tree.client.TreeTableModelAdapter

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

public class TreeTableModelAdapter
extends javax.swing.table.AbstractTableModel

This is a wrapper class takes a TreeTableModel and implements the table model interface. The implementation is trivial, with all of the event dispatching support provided by the superclass: the AbstractTableModel.

See Also:
  Serialized Form

Constructor Summary
`TreeTableModelAdapter(TreeTableModel treeTableModel, javax.swing.JTree tree)`

Method Summary
`java.lang.Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `setValueAt(java.lang.Object value, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTableModelAdapter

    public TreeTableModelAdapter(TreeTableModel treeTableModel,
                                 javax.swing.JTree tree)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

### getColumnClass

    public java.lang.Class getColumnClass(int column)

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int column)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD